<div class="container" fxFlexFill fxLayout="column">
  <app-app-bar> </app-app-bar>
  <div fxLayout="column" fxFlex fxLayoutAlign="space-around center">
    <div class="logo">
      <img src="assets/images/logo_main.png" alt="image" class="logo-image" />
    </div>
    <div>
      <span style="color: white"><b>Restaurant app</b></span>
    </div>
    <form fxLayout="column" [formGroup]="userform" style="width:100%; padding:0 20px 0 20px">
      <input type="text" class="username-input" formControlName="username" placeholder="{{'USERNAME' | translate}}" />

      <input type="password" class="passowrd-input" formControlName="password"
        placeholder="{{'PASSWORD' | translate}}" />
      <div style="padding:5px; color :red; text-align: center" *ngIf="loginError">
        {{ 'WRONG_CREDENTIALS' | translate }}
      </div>
    </form>
    <div>
      <button type="button" #btn (click)="onSubmit(userform.value,btn)" [disabled]="!userform.valid"
        class="btn btn-sauvegarder login-button"
        style="width:300px; padding: 10px 0px 10px 0px">{{ 'CONNECTION' | translate }}</button>
    </div>
  </div>
</div>